Subject: Re: [PATCH 3/9] fsmonitor: de-duplicate BUG()s around dirty bits

From: Derrick Stolee <[email-masked]>
Date: Thu, 21 Jan 2021 10:56:32 -0500

On 1/21/2021 7:53 AM, Chris Torek wrote:
> On Wed, Jan 20, 2021 at 8:58 AM Derrick Stolee via GitGitGadget
> <[email-masked]> wrote:
>>
>> From: Derrick Stolee <[email-masked]>
>>
>> The index has an fsmonitor_dirty bitmap that records which index entries
>> are "dirty" based on the response from the FSMonitor. If this bitmap
>> ever grows larger than the index, then there was an error in how it was
>> constructed, and it was probably a developer's bug.
> 
> Curious: some of the tests were >=, some were > (not >=).  Now
> that they're shared in a function they are all ">".
> 
> It's pretty clear that for size-based ones, greater-than is the
> right test, but for position ones, isn't it still greater-or-equal?  So
> perhaps the calls that pass an actual position should add 1...

That's a good point. I should pass "pos + 1" in the appropriate
places.

Thanks,
-Stolee